#Title: config file of emccd
#Author: Gang Zhao
#Version: 0.9

switch:
  badcolumn: false
  cic: true
  cosmicray: true
  cte: true
  dark: true
  flat: false
  nonlinear: true
  stripe: false
  blooming: true

ph_per_adu: 8 #photons per ADU
bias_level: 30 #ADU
readout_noise: 40 #electrons

dark_file: "emccd_dark_current.fits"
flat_file: "emccd_flat_field.fits"
cic_file: "emccd_cic.fits"
bad_col_file: "emccd_bad_columns.fits"

fullwell: 80000 #electrons
em_fullwell: 780000 #electrons

# basic config of emccd
# only used for fits output
ccd_label: "EMCCD"
chip_temp: 173
dewar_temp: 173
plszx: 1024
plszy: 1024
pscan1: 8
pscan2: 0
oscan1: 16
oscan2: 18
udark: 6
bdark: 2
ldark: 16
rdark: 16
max_adu: 16383
pitch_size: 13.0
readout_time: 0.7
readout_speed: 10000
detector_name: "CCD201-20-EM"
detector_size: 13.3 * 13.3mm
